expr(1)

NAME
expr - Print the value of EXPRESSION to standard output

SYNOPSIS
expr [--version] [--help] [expression]

DESCRIPTION
Print the value of EXPRESSION to standard output

OPTIONS

--version
    output version information and exit

--help
    display this help and exit

[expression]

EXTRA
## Examples Get the length of a specific string: expr length "{{string}}" Get the substring of a string with a specific length: expr substr "{{string}}" {{from}} {{length}} Match a specific substring against an anchored pattern: expr match "{{string}}" '{{pattern}}' Get the first char position from a specific set in a string: expr index "{{string}}" "{{chars}}" Calculate a specific mathematic expression: expr {{expression1}} {{+|-|*|/|%}} {{expression2}} Get the first expression if its value is non-zero and not null otherwise get the second one: expr {{expression1}} \| {{expression2}} Get the first expression if both expressions are non-zero and not null otherwise get zero: expr {{expression1}} \& {{expression2}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.6.0